

Suggested by Andrew Walrond <andrew@walrond.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/time_hpet.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN arch/i386/kernel/time_hpet.c~hpet-setup-comment-fix arch/i386/kernel/time_hpet.c
--- 25/arch/i386/kernel/time_hpet.c~hpet-setup-comment-fix	2005-02-05 03:39:41.000000000 -0800
+++ 25-akpm/arch/i386/kernel/time_hpet.c	2005-02-05 03:40:32.000000000 -0800
@@ -81,9 +81,10 @@ static int hpet_timer_stop_set_go(unsign
 	cfg |= HPET_TN_ENABLE | HPET_TN_PERIODIC |
 	       HPET_TN_SETVAL | HPET_TN_32BIT;
 	hpet_writel(cfg, HPET_T0_CFG);
+
 	/*
-	 * Some systems seems to need two writes to HPET_T0_CMP,
-	 * to get interrupts working
+	 * The first write after writing TN_SETVAL to the config register sets
+	 * the counter value, the second write sets the threshold.
 	 */
 	hpet_writel(tick, HPET_T0_CMP);
 	hpet_writel(tick, HPET_T0_CMP);
_
